Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class StandardFile

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.StandardFile

public class StandardFile
extends Behavior

Standard File operations: Undo, Redo, Cut, Copy, Paste, Clear, Select All.

Version:
  $Revision$ $Date$

Field Summary
`static java.lang.String` | `MENU_CATEGORY_OPEN` Clear (delete) selected text.
`static java.lang.String` | `MENU_CATEGORY_QUIT`
`static java.lang.String` | `MENU_CATEGORY_SAVE`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`StandardFile()`

Method Summary

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, semanticEventAfter, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MENU_CATEGORY_OPEN

    public static final java.lang.String MENU_CATEGORY_OPEN

  Clear (delete) selected text.

  `"fileQuit"`. public static final String MSG_CLEAR = "fileQuit";

  See Also:
    Constant Field Values

### MENU_CATEGORY_SAVE

    public static final java.lang.String MENU_CATEGORY_SAVE

See Also:
  Constant Field Values

### MENU_CATEGORY_QUIT

    public static final java.lang.String MENU_CATEGORY_QUIT

See Also:
  Constant Field Values

Constructor Detail

### StandardFile

    public StandardFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD